Styles saved in a Spatialite DB are then not available to be used

2018-08-23 07:51 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Symbology

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27505

Description

Tested on master/linux.

import a layer (say both of the same type of geometry) into a SL db

add to the canvas one of them, create a symbology, save it to the SL DB as default

try add again the same layer to the project, the default style is not loaded

try load the style manually from style > load style > database styles manager, the style just saved does not show

Associated revisions

Revision b1c7734a - 2018-09-17 01:05 PM - Alessandro Pasotti 

[bugfix] spatialite load default style

Fixes #19680 - Styles saved in a Spatialite DB are then not available to be used

History

#1 - 2018-09-17 12:16 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#2 - 2018-09-17 12:42 PM - Alessandro Pasotti

There are actually two bug or three bugs here, one unreported is fixed with:

https://github.com/qgis/QGIS/pull/7925

The last one "the style just saved does not show" is also fixed (PR on the way).

For the second one I'm working on it but looks like it was disabled  about one year ago with commit:ba62ffce2c7fa6f6331e33f751e4a901a26e8e45 , that

may not be the only reason though.

#3 - 2018-09-17 12:42 PM - Alessandro Pasotti

- Status changed from Open to In Progress

#4 - 2018-09-17 01:07 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes
All fixed in https://github.com/qgis/QGIS/pull/7926

#5 - 2018-09-18 09:43 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|b1c7734a9b67304bc5d31b8a634393ea7e98378b.
